#
# spec file for package gnome-mpv
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _name   GnomeMpv
Name:           gnome-mpv
Version:        0.10
Release:        1.1
Summary:        Simple GTK+ frontend for MPV
License:        GPL-3.0+
Group:          Productivity/Multimedia/Video/Players
Url:            https://github.com/gnome-mpv/gnome-mpv
Source:         https://github.com/%{name}/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.xz
BuildRequires:  hicolor-icon-theme
BuildRequires:  intltool >= 0.40.6
BuildRequires:  pkg-config
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(appstream-glib)
BuildRequires:  pkgconfig(epoxy)
BuildRequires:  pkgconfig(gio-2.0) >= 2.44
BuildRequires:  pkgconfig(glib-2.0) >= 2.44
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.18
BuildRequires:  pkgconfig(mpv) >= 0.17
Recommends:     %{name}-lang
Recommends:     youtube-dl
%glib2_gsettings_schema_requires

%description
GNOME MPV is a simple GTK+ frontend for MPV.

%lang_package

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install
%find_lang %{name}

%post
%desktop_database_post
%icon_theme_cache_post
%glib2_gsettings_schema_post

%postun
%desktop_database_postun
%icon_theme_cache_postun
%glib2_gsettings_schema_postun

%files
%defattr(-,root,root)
%doc COPYING README.md
%{_bindir}/%{name}
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/applications/*%{_name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}*
%dir %{_datadir}/appdata/
%{_datadir}/appdata/*%{_name}.appdata.xml

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Fri Jul 29 2016 sor.alexei@meowr.ru
- Update to version 0.10:
  * No changelog available.
* Tue May 24 2016 sor.alexei@meowr.ru
- Update to version 0.9:
  * No changelog available.
* Tue May  3 2016 sor.alexei@meowr.ru
- Update to version 0.8.
* Tue Mar 22 2016 sor.alexei@meowr.ru
- Initial package.
